# modules/__init__.py
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
# Authors: 
#     Trae Santiago <trae32566@gmail.com>
import sys

# Version specific classes, python 3.0 - 3.3 is NOT supported, 2.x should be used instead!
if sys.version_info[0] == 3 and sys.version_info[1] >= 4: from .core import Core
elif sys.version_info[0] == 2: from .compat import Core
else: raise ImportError
